package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class MessageAlarmListDto {

    private static final long serialVersionUID = 1L;

    /** 告警内容 */
    @Excel(name = "告警内容")
    private Integer alarm_type;

    /** 告警信息 */
    @Excel(name = "告警信息")
    private String alarm_msg;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String telno;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 地址 */
    @Excel(name = "地址")
    private float gps_long;

    /** 地址 */
    @Excel(name = "地址")
    private float gps_lat;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间")
    private Date createtime;

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTelno() {
        return telno;
    }

    public void setTelno(String telno) {
        this.telno = telno;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public float getGps_long() {
        return gps_long;
    }

    public void setGps_long(float gps_long) {
        this.gps_long = gps_long;
    }

    public float getGps_lat() {
        return gps_lat;
    }

    public void setGps_lat(float gps_lat) {
        this.gps_lat = gps_lat;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getAlarm_msg() {
        return alarm_msg;
    }

    public void setAlarm_msg(String alarm_msg) {
        this.alarm_msg = alarm_msg;
    }
}
